Bug 591828 - Review Request: php-pecl-solr - Object oriented API to Apache Solr
Summary: Review Request: php-pecl-solr - Object oriented API to Apache Solr
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-13 09:54 UTC by Johan Cwiklinski
Modified: 2010-06-03 18:16 UTC (History)
3 users (show)

Fixed In Version: php-pecl-solr-0.9.10-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-03 18:06:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Johan Cwiklinski 2010-05-13 09:54:44 UTC
Spec URL: http://odysseus.x-tnd.be/fedora/php-pecl-solr/php-pecl-solr.spec
SRPM URL: http://odysseus.x-tnd.be/fedora/php-pecl-solr/php-pecl-solr-0.9.10-1.fc13.src.rpm
Description:
Feature-rich library that allows PHP developers to communicate easily and
efficiently with Apache Solr server instances using an object-oriented API.

It effectively simplifies the process of interacting with Apache Solr using
PHP5 and it already comes with built-in readiness for the latest features
available in Solr 1.4. The extension has features such as built-in,
serializable query string builder objects which effectively simplifies the
manipulation of name-value pair request parameters across repeated requests.
The response from the Solr server is also automatically parsed into native php
objects whose properties can be accessed as array keys or object properties
without any additional configuration on the client-side. Its advanced HTTP
client reuses the same connection across multiple requests and provides
built-in support for connecting to Solr servers secured behind HTTP
Authentication or HTTP proxy servers. It is also able to connect to
SSL-enabled containers.

More info on PHP-Solr can be found at:
http://www.php.net/manual/en/book.solr.php

Comment 1 Remi Collet 2010-05-13 15:39:43 UTC
Quick notes

- macro usage should be consistent (pecl-name)
- a minimal %check could be great
- %description -l fr should be the same as english (or omitted)

Comment 2 Johan Cwiklinski 2010-05-13 16:42:40 UTC
Okay, I've updated the package according to the notes here and what we've talking about on IRC, thanks :)

Spec URL: http://odysseus.x-tnd.be/fedora/php-pecl-solr/php-pecl-solr.spec
SRPM URL:
http://odysseus.x-tnd.be/fedora/php-pecl-solr/php-pecl-solr-0.9.10-2.fc13.src.rpm

Comment 3 Remi Collet 2010-05-13 16:44:47 UTC
REVIEW : 
+ rpmlint is ok
php-pecl-solr.src: I: checking
php-pecl-solr.src: W: spelling-error %description -l fr sérialisable -> sérialisation, sérialisée, sérialise
php-pecl-solr.src: I: checking-url http://pecl.php.net/package/solr (timeout 10 seconds)
php-pecl-solr.src: I: checking-url http://pecl.php.net/get/solr-0.9.10.tgz (timeout 10 seconds)
php-pecl-solr.x86_64: I: checking
php-pecl-solr.x86_64: W: spelling-error %description -l en_US serializable -> serialization, serialize, materialization
php-pecl-solr.x86_64: W: spelling-error %description -l fr sérialisable -> sérialisation, sérialisée, sérialise
php-pecl-solr.x86_64: I: checking-url http://pecl.php.net/package/solr (timeout 10 seconds)
php-pecl-solr-debuginfo.x86_64: I: checking
php-pecl-solr-debuginfo.x86_64: I: checking-url http://pecl.php.net/package/solr (timeout 10 seconds)
php-pecl-solr.spec: I: checking-url http://pecl.php.net/get/solr-0.9.10.tgz (timeout 10 seconds)
3 packages and 1 specfiles checked; 0 errors, 83 warnings.
=> (false spelling-error from french removed and ignored)
+ package is named according to the  Package Naming Guidelines .
+ spec file name ok
+ The package meet the Packaging Guidelines and PHP Guidelines
+ license ok (PHP) and match upstream
+ license provided
+ spec file is legible
+ sources match upstream
fe7a9d778c8c3b1fd930de65174c0357ae9e2a23  solr-0.9.10.tgz
+ source URL ok
+ build on F13 x86_64 (php 5.3.3dev)
+ build on mock/koji (F12 ref in previous post)
+ build on all arch (F-12 + rawhide, i386, x86_64, ppc, ppc64)
http://koji.fedoraproject.org/koji/taskinfo?taskID=2185982
2185982 build (dist-rawhide, php-pecl-solr-0.9.10-2.fc8.src.rpm) completed successfully
http://koji.fedoraproject.org/koji/taskinfo?taskID=2186012
2186012 build (dist-f12, php-pecl-solr-0.9.10-2.fc8.src.rpm) completed successfully
+ BuildRequires
+ no locale
+ no shared library (extension are not lib.)
+ no system library
+ own all directories that it creates
+ not list a file more than once in the spec 
+ Permissions on files are set properly.
+ %clean ok
+ consistently use macro
+ contain code
+ small doc, no sub package
+ doc not required to run
+ no -devel
+ no -static
+ no .pc
+ no .la
+ not own files or directories already owned by other packages
+ %install start with rm -rf $RPM_BUILD_ROOT
+ all files are UTF-8
+ %check ok (only load test)
+ load in httpd ok
+ test suite ok (after install)
TEST RESULT SUMMARY
Number of tests :   21                17
Tests skipped   :    4 ( 19.0%) --------
Tests warned    :    0 (  0.0%) (  0.0%)
Tests failed    :    0 (  0.0%) (  0.0%)
Expected fail   :    0 (  0.0%) (  0.0%)
Tests passed    :   17 ( 81.0%) (100.0%)
+ provides
config(php-pecl-solr) = 0.9.10-2.fc8
php-pecl(solr) = 0.9.10
php-solr = 0.9.10
solr.so()(64bit)  
php-pecl-solr = 0.9.10-2.fc8
php-pecl-solr(x86-64) = 0.9.10-2.fc8
+ requires
/bin/sh  
/usr/bin/pecl  
config(php-pecl-solr) = 0.9.10-2.fc8
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
php(api) = 20090626
php(zend-abi) = 20090626
php-xml >= 5.2.3
+ scriptlet ok


***** APPROVED *****

Comment 4 Johan Cwiklinski 2010-05-13 16:50:29 UTC
New Package CVS Request
=======================
Package Name: php-pecl-solr
Short Description: Object oriented API to Apache Solr
Owners: trasher
Branches: F-12 F-13 EL-6
InitialCC: trasher

Comment 5 Dennis Gilmore 2010-05-13 22:26:26 UTC
CVS Done

Comment 6 Fedora Update System 2010-05-14 16:25:21 UTC
php-pecl-solr-0.9.10-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/php-pecl-solr-0.9.10-2.fc13

Comment 7 Fedora Update System 2010-05-14 16:25:27 UTC
php-pecl-solr-0.9.10-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/php-pecl-solr-0.9.10-2.fc12

Comment 8 Fedora Update System 2010-05-15 20:40:16 UTC
php-pecl-solr-0.9.10-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-solr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-pecl-solr-0.9.10-2.fc13

Comment 9 Fedora Update System 2010-05-15 20:43:18 UTC
php-pecl-solr-0.9.10-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-pecl-solr'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/php-pecl-solr-0.9.10-2.fc12

Comment 10 Fedora Update System 2010-06-03 18:06:13 UTC
php-pecl-solr-0.9.10-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-06-03 18:16:20 UTC
php-pecl-solr-0.9.10-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.